OpenAI Integration

Get file content from container (OpenAI format)

Downloads the content of a file from a container.

Note: This endpoint also works without the /v1 prefix (e.g., /openai/containers/{container_id}/files/{file_id}/content).

GET
/openai/v1/containers/{container_id}/files/{file_id}/content
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

container_idstring

Container ID

file_idstring

File ID

Query Parameters

provider?string

Provider for the container (defaults to openai)

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/openai/v1/containers/string/files/string/content?provider=string"
"string"
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings